| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
ADT
ADT.CircularList
ADT.CircularList()->CircularListIterator

# Method ADT.CircularList()->CircularListIterator()->has_previous()

Method has_previous

  `int(0..1) has_previous(void|int steps)`

Returns

  Returns `true` if it is possible to move steps steps backwards, if steps weren't supplied it check if it is possible to move one step backward.